Katello - Bug #7251

hammer host-collection: --organization-id is missing help text
08/25/2014 12:00 PM - dustin tsang

Status: Closed
Priority: Normal
Assignee: dustin tsang
Category: Hammer
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1124912 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/460
9
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1124912
Description of problem:
hammer host-collection: --organization-id is missing help text

Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140723.0

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.19-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.19-1.el6_5.noarch
candlepin-tomcat6-0.9.19-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.29-1.el6sat.noarch
foreman-compute-1.6.0.29-1.el6sat.noarch
foreman-gce-1.6.0.29-1.el6sat.noarch
foreman-libvirt-1.6.0.29-1.el6sat.noarch
foreman-ovirt-1.6.0.29-1.el6sat.noarch
foreman-postgresql-1.6.0.29-1.el6sat.noarch
foreman-proxy-1.6.0.21-1.el6sat.noarch
foreman-selinux-1.6.0-8.el6sat.noarch
foreman-vmware-1.6.0.29-1.el6sat.noarch
katello-1.5.0-27.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.6-1.el6sat.noarch
katello-installer-0.0.56-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
pulp-server-2.4.0-0.23.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:
Always
https://bugzilla.redhat.com/show_bug.cgi?id=1124912

Steps to Reproduce:

See that the argument --organization-id is missing helptext in all hammer host-collection options

hammer> host-collection add-content-host --help
Usage:

host-collection add-content-host [OPTIONS]
Options:

--organization ORGANIZATION_NAME Organization name to search by

--organization-id ORGANIZATION_ID
--organization-label ORGANIZATION_LABEL Organization label to search by

hammer> host-collection remove-content-host --help
--organization ORGANIZATION_NAME Organization name to search by

--organization-id ORGANIZATION_ID
--organization-label ORGANIZATION_LABEL Organization label to search by

hammer> host-collection content-hosts --help
--organization ORGANIZATION_NAME Organization name to search by

--organization-id ORGANIZATION_ID
--organization-label ORGANIZATION_LABEL Organization label to search by

hammer> host-collection copy --help
--organization ORGANIZATION_NAME Organization name to search by

--organization-id ORGANIZATION_ID
--organization-label ORGANIZATION_LABEL Organization label to search by

hammer> host-collection create --help

--organization-id ORGANIZATION_ID
--organization-label ORGANIZATION_LABEL Organization label to search by

hammer> host-collection delete --help
--organization ORGANIZATION_NAME Organization name to search by

--organization-id ORGANIZATION_ID
--organization-label ORGANIZATION_LABEL Organization label to search by

hammer> host-collection info --help
--organization ORGANIZATION_NAME Organization name to search by

--organization-id ORGANIZATION_ID
--organization-label ORGANIZATION_LABEL Organization label to search by

hammer> host-collection list --help

--organization ORGANIZATION_NAME Organization name to search by
--organization-id ORGANIZATION_ID

--organization-label ORGANIZATION_LABEL Organization label to search by
hammer> host-collection update --help

--organization ORGANIZATION_NAME Organization name to search by

--organization-id ORGANIZATION_ID
--organization-label ORGANIZATION_LABEL Organization label to search by
Actual results:
--organization-id does not have helptext

Expected results:
--organization-id should have helptext

Additional info:

Associated revisions

Revision 31ebaea5 - 08/25/2014 12:04 PM - dustin tsang
Fixes #7251 - hammer org_id help text missing
This fixes an issue in hammer where the --organization-id is missing

descriptions. Hammer uses the show action to determine the description
for the id param when building options for dependant resources.

Revision c5ce2436 - 08/27/2014 12:03 PM - dustin tsang

Merge pull request #4609 from dustint-rh/hammer_org_id_description

Fixes #7251 - hammer org_id help text missing

History

#1 - 08/25/2014 12:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 63

- Pull request https://github.com/Katello/katello/pull/4609 added
- Pull request deleted ()

#2 - 08/27/2014 09:23 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/27/2014 09:24 AM - Eric Helms

- Target version changed from 63 to 55

#4 - 08/27/2014 01:01 PM - dustin tsang
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|31ebaea5fdd4881839bbbfe61d1c2bbb57ealcch.

#5 - 09/15/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
